osmium::RelationMemberList Class Reference

`#include <relation.hpp>`

Inheritance diagram for osmium::RelationMemberList:
[legend]
Collaboration diagram for osmium::RelationMemberList:
[legend]

## Public Types

typedef size_t | size_type
Public Types inherited from osmium::memory::Collection< RelationMember, osmium::item_type::relation_member_list >
typedef CollectionIterator< RelationMember > | iterator
typedef CollectionIterator< const RelationMember > | const_iterator
typedef RelationMember | value_type

## Public Member Functions

| RelationMemberList ()
size_type | size () const noexcept
Public Member Functions inherited from osmium::memory::Collection< RelationMember, osmium::item_type::relation_member_list >
| Collection ()
bool | empty () const
iterator | begin ()
const_iterator | begin () const
iterator | end ()
const_iterator | end () const
const_iterator | cbegin () const
const_iterator | cend () const
Public Member Functions inherited from osmium::memory::Item
unsigned char * | next () noexcept
const unsigned char * | next () const noexcept
item_size_type | byte_size () const noexcept
item_size_type | padded_size () const
item_type | type () const noexcept
bool | removed () const noexcept
void | set_removed (bool removed) noexcept

## Additional Inherited Members

Static Public Attributes inherited from osmium::memory::Collection< RelationMember, osmium::item_type::relation_member_list >
static constexpr osmium::item_type | itemtype
Protected Member Functions inherited from osmium::memory::Item
| Item (item_size_type size=0, item_type type=item_type()) noexcept
| Item (const Item &)=delete
| Item (Item &&)=delete
Item & | operator= (const Item &)=delete
Item & | operator= (Item &&)=delete
Item & | set_type (const item_type item_type) noexcept

## Member Typedef Documentation

typedef size_t osmium::RelationMemberList::size_type

## Constructor & Destructor Documentation

osmium::RelationMemberList::RelationMemberList | ( |  | ) |

inline

## Member Function Documentation

size_type osmium::RelationMemberList::size | ( |  | ) | const

inline noexcept

The documentation for this class was generated from the following file:

- osmium/osm/relation.hpp